package cn.iocoder.yudao.module.ecw.api.bank.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BankAccountDTO {
    @ApiModelProperty(value = "银行账号编号", required = true)
    private Long id;

    @ApiModelProperty(value = "户名", required = true)
    private String baAccountName;

    @ApiModelProperty(value = "开户银行", required = true)
    private String baBankName;

    @ApiModelProperty(value = "银行账号", required = true)
    private String baAccountNum;

    @ApiModelProperty(value = "银行代码", required = true)
    private String baSwiftCode;

    @ApiModelProperty(value = "开户银行地址", required = true)
    private String baBankAdd;

    @ApiModelProperty(value = "类型字典（1公账,2私账）", required = true)
    private Integer baType;

    @ApiModelProperty(value = "状态（0正常 1停用）", required = false)
    private Integer status;

    @ApiModelProperty(value = "开户国家")
    private Integer baCountry;

    @ApiModelProperty(value = "收入归属")
    private Integer baIncomeBelong;

    @ApiModelProperty(value = "币种")
    private Integer baCurrency;

    @ApiModelProperty(value = "余额")
    private java.math.BigDecimal baBalance;
}
